# $Revision: 1.18 $, $Date: 2007/09/09 18:25:58 $
Summary:	beforelight application - screen saver
Summary(pl.UTF-8):	Aplikacja beforelight - wygaszacz ekranu
Name:		xorg-app-beforelight
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/beforelight-%{version}.tar.bz2
# Source0-md5:	d55b0e7196dafcfeb4db3886af2e1969
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 0.99.2
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The beforelight program is a sample implementation of a screen saver
for X servers supporting the MIT-SCREEN-SAVER extension.

%description -l pl.UTF-8
Program beforelight to prosta implementacja wygaszacza ekranu dla
serwerów X obsługujących rozszerzenie MIT-SCREEN-SAVER.

%prep
%setup -q -n beforelight-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/beforelight
%{_datadir}/X11/app-defaults/Beforelight
%{_mandir}/man1/beforelight.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-beforelight.spec,v $
Revision 1.18  2007/09/09 18:25:58  qboosh
- updated to 1.0.3
- removed obsolete DESTDIR patch

Revision 1.17  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.15  2006/12/18 19:34:35  qboosh
- descs from manual

Revision 1.14  2006/12/16 15:09:54  arekm
- up to 1.0.2

Revision 1.13  2006/10/15 09:38:13  qboosh
- more verbose files

Revision 1.12  2006/10/15 09:32:23  qboosh
- use individual dir, release 1

Revision 1.11  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.10  2006/01/10 12:57:05  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/08 15:51:18  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 20:22:44  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 12:24:06  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:17  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 14:47:23  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added BR: libXaw-devel
- removed redundant BR: libXt-devel

* Sat Aug 13 2005 14:36:17  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added beforelight-man.patch
- removed redundant BR: libX11-devel
- release 0.02

* Sun Aug  7 2005 15:46:16  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
